# wxMirrorDC Class Reference
[Device Contexts]

`#include </home/work/projects/wx/2.9/wx/interface/wx/dcmirror.h>`

Inheritance diagram for wxMirrorDC:
[legend]

## Detailed Description

wxMirrorDC is a simple wrapper class which is always associated with a real wxDC object and either forwards all of its operations to it without changes (no mirroring takes place) or exchanges x and y coordinates which makes it possible to reuse the same code to draw a figure and its mirror -- i.e.

reflection related to the diagonal line x == y.

Since:
  2.5.0

##

Library: wxCore
Category: Device Contexts

## Public Member Functions

| wxMirrorDC (wxDC &dc, bool mirror)
| Creates a (maybe) mirrored DC associated with the real dc.

List of all members.

## Constructor & Destructor Documentation

wxMirrorDC::wxMirrorDC | ( | wxDC & | dc,
|  | bool | mirror |
| ) |  |  |

Creates a (maybe) mirrored DC associated with the real dc.

Everything drawn on wxMirrorDC will appear (and maybe mirrored) on dc.

mirror specifies if we do mirror (if it is true) or not (if it is false).

|  | [ top ]